summaryrefslogtreecommitdiff
path: root/archive/bin/develacc-second-stage
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2022-11-23 23:35:59 -0700
committerSean Whitton <spwhitton@spwhitton.name>2022-11-24 12:42:27 -0700
commitc67d4836f4d6d5e6c8ef4e2de38bd21ccb6ee1a1 (patch)
treefded906652b6bf03c60e0c133a368c5027cd4d1e /archive/bin/develacc-second-stage
parentaa5a315a0876431105f73da75de9ddfa89e907d3 (diff)
downloaddotfiles-c67d4836f4d6d5e6c8ef4e2de38bd21ccb6ee1a1.tar.gz
tidy and simplify shell init
Rely on SPWCRONTAB property to set PATH for cronjobs, and otherwise rely on .profile, .xsessionrc etc. to set PATH, once, at login. Just archive scripts I haven't used lately which might otherwise need more significant adjustments, or appear to be broken in other ways.
Diffstat (limited to 'archive/bin/develacc-second-stage')
-rwxr-xr-xarchive/bin/develacc-second-stage26
1 files changed, 26 insertions, 0 deletions
diff --git a/archive/bin/develacc-second-stage b/archive/bin/develacc-second-stage
new file mode 100755
index 00000000..1d95b4e0
--- /dev/null
+++ b/archive/bin/develacc-second-stage
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+. $HOME/.shenv
+
+# ---- configuration
+
+FOXIT="$HOME/lib/annex/big/software/FoxitReader.enu.setup.2.4.4.0911.x64.run.tar.gz"
+DEVELACC="$HOME/local/develacc"
+
+# ---- start develacc
+
+sudo virsh list | grep -q "develacc.$(hostname -f) .*running" \
+ || sudo virsh start develacc.$(hostname -f)
+
+# ---- install FoxitReader
+
+mkdir -p "$DEVELACC/tmp"
+cp -L "$FOXIT" "$DEVELACC/tmp"
+( cd "$DEVELACC/tmp" && tar axf $(basename $FOXIT))
+ssh root@develacc "/home/spwhitton/tmp/FoxitReader.enu.setup.*"
+
+# ---- clone dionysus annex & pair with home directory copy
+
+# TODO